﻿// <copyright file="KeyValuePairTests.cs" company="Fluent.NET">
// Microsoft Public License (Ms-PL)
// </copyright>
// <author>Chris Eargle</author>
// <email>kodefuguru@live.com</email>
// <date>2010-01-05</date>
// <summary>KeyValuePair tests</summary>
namespace Fluent.Tests
{
    using Microsoft.VisualStudio.TestTools.UnitTesting;

    /// <summary>
    /// KeyValuePair Tests
    /// </summary>
    [TestClass]
    public class KeyValuePairTests
    {
        /// <summary>
        /// Test the creation of a KeyValuePair
        /// </summary>
        [TestMethod]
        public void Create()
        {
            var pair = KeyValuePair.Create(1, "Hello World");
            Assert.IsNotNull(pair);
            Assert.AreEqual(1, pair.Key);
            Assert.AreEqual("Hello World", pair.Value);
        }
    }
}
